Subject: Re: linux-next: duplicate patches in the tip tree

From: Andrew Morton <[email-masked]>
Date: Tue, 11 Mar 2025 02:02:40 -0700

On Tue, 11 Mar 2025 15:08:47 +1100 Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> The following commits are also in the mm tree as different commits
> (but the same patches):
> 
>   0b3bc3354eb9 ("arm64: vdso: Switch to generic storage implementation")
>   127b0e05c166 ("vdso: Rename included Makefile")
>   30533a55ec8e ("parisc: Remove unused symbol vdso_data")
>   31e9fa2ba9ad ("arm: vdso: Switch to generic storage implementation")
>   365841e1557a ("vdso: Add generic architecture-specific data storage")
>   3ef32d90cdaa ("x86/vdso: Fix latent bug in vclock_pages calculation")
>   46fe55b204bf ("riscv: vdso: Switch to generic storage implementation")
>   51d6ca373f45 ("vdso: Add generic random data storage")
>   5b47aba85810 ("vdso: Introduce vdso/align.h")
>   69896119dc9d ("MIPS: vdso: Switch to generic storage implementation")
>   9729dceab17b ("x86/vdso/vdso2c: Remove page handling")
>   998a8a260819 ("vdso: Remove remnants of architecture-specific random state storage")
>   ac1a42f4e4e2 ("vdso: Remove remnants of architecture-specific time storage")
>   d2862bb9d9ca ("LoongArch: vDSO: Switch to generic storage implementation")
>   dafde29605eb ("x86/vdso: Switch to generic storage implementation")
>   df7fcbefa710 ("vdso: Add generic time data storage")
> 
> These are causing the following conflicts:
> 
> CONFLICT (content): Merge conflict in arch/arm64/include/asm/vdso/compat_gettim
> ofday.h
> CONFLICT (content): Merge conflict in arch/arm64/include/asm/vdso/vsyscall.h
> CONFLICT (content): Merge conflict in arch/powerpc/include/asm/vdso/gettimeofday.h
> CONFLICT (content): Merge conflict in arch/s390/kernel/time.c
> CONFLICT (content): Merge conflict in arch/x86/include/asm/vdso/gettimeofday.h
> CONFLICT (content): Merge conflict in include/asm-generic/vdso/vsyscall.h
> CONFLICT (content): Merge conflict in include/vdso/datapage.h
> CONFLICT (content): Merge conflict in include/vdso/helpers.h
> CONFLICT (content): Merge conflict in kernel/time/namespace.c
> CONFLICT (content): Merge conflict in kernel/time/vsyscall.c
> CONFLICT (add/add): Merge conflict in lib/vdso/datastore.c
> CONFLICT (content): Merge conflict in lib/vdso/gettimeofday.c

Yup, thanks.  I trust it's not too much effort to simply skip the
mm.git copies?

There's presumably a better way of doing this, but it's really the
first time it has happened in N years so it isn't obviously worth
investing in setting something up.